<?php

namespace Modules\Sc\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class MaterialRequisitionData extends Model
{
    use HasFactory,LogsActivity;
    protected $table = 'sc_material_requisition_data';
    protected $primaryKey = 'mr_data_id';
    protected $fillable = [];
    protected static $logAttributes = [
        'mr_data_id',
        'internal_id',
        'external_id',
        'product_id',
        'unit_id',
        'quantity',
        'transfer_quantity',
        'issues_quantity',
        'comments',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "sc_material_requisition_data";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }
    /*protected static function newFactory()
    {
        return \Modules\Sc\Database\factories\MaterialRequisitionDataFactory::new();
    }*/
}
